Subject: Re: cygintl-8.dll was not found
From: wefwef wefwef <[email-masked]>
To: [email-masked]
Date: Mon, 5 Apr 2010 18:04:18 +0300
List-Id: <cygwin.cygwin.com>

On Mon, Apr 5, 2010 at 6:08 PM, Dave Korn
<[email-masked]> wrote:
> On 05/04/2010 15:40, wefwef wefwef wrote:
>
>> Do you think it should pay attention to the existing installation when
>> it is downloading to an entirely different directory to create an
>> entirely separate installation?
>
>  That isn't how local package cache dirs work.  The purpose of setup.exe is
> to install and subsequently update your installation.  The package cache dir
> is just a cache dir, it does not determine which installation you are
> referring to and changing the package cache dir does not mean that you are
> trying to create a new installation.  It just means that you are trying to
> create a new package cache dir to work with your existing installation.

I understand that it's behaviour is by design, I'm just saying that
the design is sub optimal.

>
>> The cygwin setup program has some obvious gui design flaws - a two
>> year old can see that. It is a disaster from a usability point of
>> view.
>
>  Abusive name-calling is not a bug report.  You're just in a bad mood and
> taking it out on the mailing list.

Refer to my earlier mail for the full details of what's wrong with the
gui. To accuse me of being in a bad mood because I point out something
that is blatant and obvious is ridiculous.

>
>> I found it anything but deterministic, producing different results
>> almost every time I ran it.
>
>  In between every time you ran it, you changed things.  Of course it
> responded differently.  You never actually did the exact same thing twice.
>
>> That means the it's either got bugs, or
>> it's so badly designed that mistakes are almost inevitable, either way
>> it's a fault with the installer.
>
>  No, the fault is with you for making guesses at what it does and blaming
> everyone else when you turn out to be wrong.  Seriously, your assumption that
> changing the local package dir is something you do in order to "create an
> entirely separate installation" is a fiction, entirely ungrounded in anything
> the documentation claims, and it is the root fallacy that is the cause of the
> disconnect between your expectations and reality.

That wasn't my main problem, I just pointed it out as a rather
undesirable flaw in the installer. I mean, it's a function of the
installer to be able to download a set of packages, but for that to
actually work properly, you have to rename or remove your existing
installation. Seems a bit slapdash to me.

Chris

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple